org.richfaces.fragment.tooltip

## Class RichFacesTooltip<CONTENT>

- java.lang.Object
- - org.richfaces.fragment.tooltip.RichFacesTooltip<CONTENT>

- Type Parameters:
    `CONTENT` -
  All Implemented Interfaces:
    AdvancedInteractions<RichFacesTooltip.AdvancedTooltipInteractions>, AdvancedVisibleComponentIteractions<RichFacesTooltip.AdvancedTooltipInteractions>, Tooltip<CONTENT>
  Direct Known Subclasses:
    TextualRichFacesTooltip

      public abstract class RichFacesTooltip<CONTENT>
      extends Object
      implements Tooltip<CONTENT>, AdvancedVisibleComponentIteractions<RichFacesTooltip.AdvancedTooltipInteractions>

  The root of this tooltip will be used for invoking this tooltip. In other words: set root of this toolTip to the panel on which can be the toolTip invoked so you don't have to set the target before invoking.
  Author:
    Jiri Stefek

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `RichFacesTooltip.AdvancedTooltipInteractions`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RichFacesTooltip()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RichFacesTooltip.AdvancedTooltipInteractions` | `advanced()`
    `CONTENT` | `getContent()` Gets the object representing the content of the tooltip.
    `RichFacesTooltip<CONTENT>` | `hide()` Dismiss the tooltip, which is found by injected root element to his component.
    `RichFacesTooltip<CONTENT>` | `hide(org.openqa.selenium.WebElement target)` Dismiss the tooltip over the given `target`.
    `RichFacesTooltip<CONTENT>` | `show()` Invokes the tooltip over an element, which is found by injected root element to his component.
    `RichFacesTooltip<CONTENT>` | `show(org.openqa.selenium.WebElement target)` Invokes the tooltip over the given `target`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RichFacesTooltip

          public RichFacesTooltip()

  - ### Method Detail

    - #### advanced

          public RichFacesTooltip.AdvancedTooltipInteractions advanced()

      Specified by:
        `advanced` in interface `AdvancedInteractions<RichFacesTooltip.AdvancedTooltipInteractions>`

    - #### getContent

          public CONTENT getContent()

      Description copied from interface: `Tooltip`
      Gets the object representing the content of the tooltip.
      Specified by:
        `getContent` in interface `Tooltip<CONTENT>`
      Returns:
        initialized page object with the content of this tooltip
      See Also:
        `TextualRichFacesTooltip`

    - #### hide

          public RichFacesTooltip<CONTENT> hide()

      Description copied from interface: `Tooltip`
      Dismiss the tooltip, which is found by injected root element to his component. Note that, hiding of the tooltip should be rather by implicit action (for example hover of the mouse out from some element), than this explicit call.
      Specified by:
        `hide` in interface `Tooltip<CONTENT>`
      Returns:
        tooltip itself

    - #### hide

          public RichFacesTooltip<CONTENT> hide(org.openqa.selenium.WebElement target)

      Description copied from interface: `Tooltip`
      Dismiss the tooltip over the given `target`. Note that, hiding of the tooltip should be rather by implicit action (for example hover of the mouse out from some element), than this explicit call.
      Specified by:
        `hide` in interface `Tooltip<CONTENT>`
      Returns:
        tooltip itself

    - #### show

          public RichFacesTooltip<CONTENT> show()

      Description copied from interface: `Tooltip`
      Invokes the tooltip over an element, which is found by injected root element to his component. Note that, invoking of the tooltip should be rather by implicit action (for example hover of the mouse over some element), than this explicit call.
      Specified by:
        `show` in interface `Tooltip<CONTENT>`
      Returns:
        tooltip itself

    - #### show

          public RichFacesTooltip<CONTENT> show(org.openqa.selenium.WebElement target)

      Description copied from interface: `Tooltip`
      Invokes the tooltip over the given `target`. Note that, invoking of the tooltip should be rather by implicit action (for example hover of the mouse over some element), than this explicit call.
      Specified by:
        `show` in interface `Tooltip<CONTENT>`
      Parameters:
        `target` - the element on which the tooltip will be invoked
      Returns:
        tooltip itself

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.